/**
 * <copyright>
 * </copyright>
 *
 * $Id: IndexedFeatureValidator.java,v 1.1 2008-04-01 09:35:52 vmahe Exp $
 */
package orgomg.cwm.foundation.keysindexes.validation;

import orgomg.cwm.foundation.keysindexes.Index;

import orgomg.cwm.objectmodel.core.StructuralFeature;

/**
 * A sample validator interface for {@link orgomg.cwm.foundation.keysindexes.IndexedFeature}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface IndexedFeatureValidator {
	boolean validate();

	boolean validateIsAscending(boolean value);
	boolean validateFeature(StructuralFeature value);
	boolean validateIndex(Index value);
}
